# squirrel.cpp File Reference

the implementation of the Squirrel class. More...

`#include <squirrel.h>`
`#include <stdarg.h>`
`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "squirrel.hpp"`
`#include "squirrel_std.hpp"`
`#include "../fileio_func.h"`
`#include <sqstdaux.h>`
`#include <../squirrel/sqpcheader.h>`
`#include <../squirrel/sqvm.h>`

Go to the source code of this file.

## Data Structures
class | SQFile
## Functions
static SQInteger | _io_file_lexfeed_ASCII (SQUserPointer file)
static SQInteger | _io_file_lexfeed_UTF8 (SQUserPointer file)
static SQInteger | _io_file_lexfeed_UCS2_LE (SQUserPointer file)
static SQInteger | _io_file_lexfeed_UCS2_BE (SQUserPointer file)
static SQInteger | _io_file_read (SQUserPointer file, SQUserPointer buf, SQInteger size)

## Detailed Description

the implementation of the Squirrel class.

It handles all Squirrel-stuff and gives a nice API back to work with.

Definition in file squirrel.cpp.